説明

InPortBase.hとOutPortBase.hでC4290警告が発生する箇所があるため、#pragma warning( disable : 4290
)を追加して警告を抑制する。

関係しているリビジョン
リビジョン 2929 - 2017/02/07 12:41 - miyamoto

[compat] refs #3900

リビジョン 2929 - 2017/02/07 12:41 - miyamoto

[compat] refs #3900

リビジョン 3100 - 2017/12/10 09:10 - n-ando

merged chages from trunk/OpenRTM-aist r2913-2955 during 2017-02:
[compat,->RELENG_1_2] The installation of the rpm package of openrtm-aist-example and openrtm-aist-doc has been changed. refs #3893
[compat,->RELENG_1_2] Links of rtmCamera and rtmManipulator have been added to OpenRTMConfig.cmake. refs #3889
[compat,bugfix,->RELENG_1_2] Fixed r2914. refs #3889
[compat,format,->RELENG_1_2] Indent modified.
[incompat,new func,->RELENG_1_2] Logging system now supports logstream loadable modules. refs #3567
[incompat,new func,->RELENG_1_2] A function to convert from URL parameter to map has been added.
[compat,format,->RELENG_1_2] Newline added.
[incompat,new func,->RELENG_1_2] fluent-bit logger stream has been added. refs #3567
[incompat,new func,->RELENG_1_2] fluent-bit logger stream has been added. refs #3567
[compat,->RELENG_1_2] Types have been changed because of compilation warning. refs #3902
[compat,->RELENG_1_2] Some pragmas have been added to suppress warnings. refs #3901
[compat,->RELENG_1_2] Some pragmas have been added to suppress warnings. refs #3900
[build,->RELENG_1_2] Monky include path has been added.
[prop,->RELENG_1_2] ignore Makefile.in Makefile.
[compat,->RELENG_1_2] C style cast convrted to static_cast. refs #3902
[comapt,conf_file,->RELENG_1_2] fluent-bit log stream configuration example has been added rtc.conf.sample
[compat,build,->RELENG_1_2] CXXFLAGS incuding Wall -fPIC -O2 has been removed in openrtm-aist.pc. refs #3714
[compat,build,dist,>RELENG_1_2] ClockManager.cpp was not properly included dist package.
[comapt,build,dist,->RELENG_1_2] logger ext lib is now included in dist package.
[compat,->RELENG_1_2] refs #3881
[incompat,bugfix,EC,->RELENG_1_2]Modified for OpenHRPExecutionContext. #3579
[comapt,build,dist,->RELENG_1_2] logger ext lib is now included in dist package.
[compat,->RELENG_1_2] refs #3881
[incompat,bugfix,EC,->RELENG_1_2]Modified for OpenHRPExecutionContext. #3579

履歴
#1 - 2017/02/07 12:43 - n-miyamoto

- ステータス を 新規 から 解決 に変更

- 進捗率 を 0 から 100 に変更

InPortBase.hとOutPortBase.hに以下を追加し警告を抑制した。

#ifdef�WIN32
#pragma�warning(�push�)�
#pragma�warning(�disable�:�4290�)
#endif

～～～～

#ifdef�WIN32
#pragma�warning(�pop�)
#endif

#2 - 2017/02/12 09:14 - n-ando

- ステータス を 解決 から 終了 に変更
